Option Explicit
'
' Convert Regmon and Filemon logs to Excel worksheets.
' Copyright (c) 2004  59cobalt
'
Sub ConvertLog()
  Dim theFilename
  Dim doScreenUpdating
  
  theFilename = Application.GetOpenFilename("Alle Dateien (*.*), *.*")
  If theFilename = False Then
    Exit Sub
  End If
  
  doScreenUpdating = Application.ScreenUpdating
  Application.ScreenUpdating = False
  
  Workbooks.OpenText filename:=theFilename, Origin:=xlMSDOS, _
    StartRow:=1, DataType:=xlDelimited, TextQualifier:=xlDoubleQuote, _
    ConsecutiveDelimiter:=False, Tab:=True
  
  Rows("1:1").Insert Shift:=xlDown
  Rows("1:1").Select
  With Selection
    .RowHeight = 25.5
    .VerticalAlignment = xlTop
    .Font.FontStyle = "Fett"
    .Borders(xlEdgeTop).LineStyle = xlContinuous
    .Borders(xlEdgeTop).Weight = xlThin
    .Borders(xlEdgeBottom).LineStyle = xlContinuous
    .Borders(xlEdgeBottom).Weight = xlThin
    .Interior.ColorIndex = 15
    .Interior.Pattern = xlSolid
    .AutoFilter
  End With
  
  Columns("A:G").Select
  With Selection.Borders(xlEdgeLeft)
    .LineStyle = xlContinuous
    .Weight = xlThin
  End With
  With Selection.Borders(xlEdgeRight)
    .LineStyle = xlContinuous
    .Weight = xlThin
  End With
  With Selection.Borders(xlInsideVertical)
    .LineStyle = xlContinuous
    .Weight = xlThin
  End With
  
  Range("A1").FormulaR1C1 = "#"
  Range("B1").FormulaR1C1 = "Time"
  Range("C1").FormulaR1C1 = "Process"
  Range("D1").FormulaR1C1 = "Request"
  Range("E1").FormulaR1C1 = "Path"
  Range("F1").FormulaR1C1 = "Result"
  Range("G1").FormulaR1C1 = "Other"
  
  Columns("A:A").ColumnWidth = 5
  Columns("B:B").ColumnWidth = 12
  Columns("C:C").ColumnWidth = 14
  Columns("D:D").ColumnWidth = 12
  Columns("E:E").ColumnWidth = 50
  Columns("F:F").ColumnWidth = 16
  Columns("G:G").ColumnWidth = 14
  
  Range("A2").Select
  ActiveWindow.FreezePanes = True
  
  Application.ScreenUpdating = doScreenUpdating
  
  ActiveWorkbook.SaveAs filename:=Sheets(1).Name & ".xls", FileFormat:=xlNormal
End Sub
